> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Effect Posts

> Get Effect Posts



## OpenAPI

````yaml /api-reference/openapi.json get /api/effect/posts
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/effect/posts:
    get:
      tags:
        - Effect
      summary: Get Effect Posts
      description: Get Effect Posts
      operationId: getApiEffectPosts
      parameters:
        - in: query
          name: effectId
          schema:
            type: string
            pattern: ^\d+$
            description: Effect ID
            example: '321535'
          required: true
        - in: query
          name: count
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 30
            description: >-
              The number of results to be returned. The default and maximum
              value is 30
            example: 30
          required: false
        - in: query
          name: cursor
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 0
            description: >-
              cursor parameter is used for pagination. In the first request, the
              default value of cursor is 0. For subsequent requests, the value
              of cursor will be taken from the response of the previous request
            example: 0
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  hasMore:
                    type: number
                    description: Indicates whether there are more data available to fetch
                    example: 1
                  cursor:
                    type: number
                    description: >-
                      Cursor for pagination. Use this value in subsequent
                      requests to fetch more data
                    example: 30
                  aweme_list:
                    type: array
                    items:
                      type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````